Create a room
US Region: https://public-api.sessionboard.com · EU Region: https://public-api-eu.sessionboard.com
Create a new room. Requires the write:metadata scope.
Request example
curl --request POST \ --url 'https://public-api.sessionboard.com/v1/event/{eventId}/rooms/create' \ --header 'x-access-token: <api-token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "<string>", "capacity": 123}'const response = await fetch('https://public-api.sessionboard.com/v1/event/{eventId}/rooms/create', { method: 'POST', headers: { "x-access-token": "<api-token>", "Content-Type": "application/json" }, body: JSON.stringify({ "name": "<string>", "capacity": 123 }),});
const data = await response.json();console.log(data);import requests
response = requests.request( "POST", "https://public-api.sessionboard.com/v1/event/{eventId}/rooms/create", headers={ "x-access-token": "<api-token>", "Content-Type": "application/json" }, json={ "name": "<string>", "capacity": 123 },)
print(response.json())<?php
$curl = curl_init();
curl_setopt_array($curl, [ CURLOPT_URL => "https://public-api.sessionboard.com/v1/event/{eventId}/rooms/create", CURLOPT_RETURNTRANSFER => true, CURLOPT_CUSTOMREQUEST => "POST", CURLOPT_POSTFIELDS => '{ "name": "<string>", "capacity": 123}', CURLOPT_HTTPHEADER => [ "x-access-token: <api-token>", "Content-Type: application/json", ],]);
$response = curl_exec($curl);curl_close($curl);
echo $response;package main
import ( "fmt" "io" "net/http" "strings")
func main() { req, _ := http.NewRequest("POST", "https://public-api.sessionboard.com/v1/event/{eventId}/rooms/create", strings.NewReader(`{ "name": "<string>", "capacity": 123}`)) req.Header.Add("x-access-token", "<api-token>") req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))}HttpRequest request = HttpRequest.newBuilder() .uri(URI.create("https://public-api.sessionboard.com/v1/event/{eventId}/rooms/create")) .header("x-access-token", "<api-token>") .header("Content-Type", "application/json") .method("POST", HttpRequest.BodyPublishers.ofString("{\n \"name\": \"<string>\",\n \"capacity\": 123\n}")) .build();
HttpResponse<String> response = HttpClient.newHttpClient() .send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());Try it
Response headers
Authorizations
x-access-tokenstringheaderOrganization API token. Generate from Organization Settings → API Tokens.
AuthorizationBearer <token>headerorOAuth 2.1 access token. Obtained via the OAuth PKCE flow at
/oauth/token.
Send one of these. See Authentication.
Path parameters
eventIdintegerpathrequired
Request body
namestringrequiredcapacityinteger
{ "name": "<string>", "capacity": 123}Responses
200application/json
Room created
A room or venue location for sessions. When nested inside a Session
response, room is only populated when the session location is
room (not for external URLs).
idstring<uuid>namestringorderintegercapacityinteger | nullMaximum room capacity. Returned on nested session
roomobjects and standalone room list/search endpoints.created_atstringupdated_atstring
401
Unauthorized
403
Missing write:metadata scope
Response examples
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "order": 123, "capacity": 123, "created_at": "<string>", "updated_at": "<string>"}